TYPOS3.Flow - Bug # 47058

Status: Resolved Priority: Should have
Author: piotr Category: 118n

Created: 2013-04-09 Assigned To: Adrian Foder
Updated: 2013-07-16 Due date:

PHP Version: 5.4

Has patch: No

Complexity:

Affected Flow version: Flow 2.0.0 beta 1

Subject: Error 500 when using f:translate with source attribute when translation catalog empty
Description

Got an error:
PHP Fatal error: Allowed memory size of 536870912 bytes exhausted (tried to allocate 146 bytes) in
(...)/Packages/Libraries/doctrine/common/lib/Doctrine/Common/Util/Debug.php on line 111

When using:
<f:translate id="translation.id" package="some.package" source="CatalogName">some text</f:translate> and there is no translation
units in catalog file:

<xliff version="1.2" xmlns="urn:oasis:names:tc:xliff:document:1.2">

<file original="" source-language="en" target-language="de" datatype="plaintext">
<body>
&lt;/body&gt;
&lt;/file&gt;

&lt;/xliff&gt;

Exception file gives:

80 TYPO3\Flow\Error\ErrorHandler::handleError(8, "Undefined index: translationUnits",
"(...)Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_I18n_Xliff_XliffModel_Original.php", 123,
array|2|)

Associated revisions

Revision 06a1694d - 2013-07-12 09:27 - Adrian Féder

[BUGFIX] Behave silently if no translation unit elements are present

If a translation source does not contain any translationUnit elements,
which is allowed in XLIFF for <trans-unit> elements inside //file/body,
now there is no Undefined Index error anymore, but the incident is

silently logged to the system logger as every other translation-related

incident.

Change-Id: 13201507fc62d6367d1d004c9ddae5aab53d693eb
Fixes: #47058
Releases: master, 2.0

Revision 850bd551 - 2013-07-16 15:28 - Adrian Foder
Change-Id: 13201507fc62d6367d1d004c9ddae5aab53d693eb

Fixes: #47058
Releases: master, 2.0

History

#1 - 2013-04-11 08:23 - Adrian Foder

- Status changed from New to Accepted

#2 - 2013-05-21 13:19 - Robert Lemke

- Target version changed from 2.0 to 2.0.1
#3 - 2013-07-09 10:05 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22136

#4 - 2013-07-12 09:28 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22136

#5 - 2013-07-16 15:29 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.0rg/22360

#6 - 2013-07-16 15:37 - Adrian Foder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:06a1694dec79a67e8e195ede97c3a9ffccc4aach.
